Debian Bug report logs - #501970
perl: FTBFS on arm: ext/threads/shared/t/stress.t failure

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Sun, 12 Oct 2008 11:06:01 UTC

Severity: important

Found in version perl/5.10.0-16

Fixed in version perl/5.10.0-17

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, arm@buildd.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#501970; Package perl. (Sun, 12 Oct 2008 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to arm@buildd.debian.org, Brendan O'Dea <bod@debian.org>. (Sun, 12 Oct 2008 11:06:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: perl: FTBFS on arm: ext/threads/shared/t/stress.t failure
Date: Sun, 12 Oct 2008 14:02:38 +0300
Package: perl
Version: 5.10.0-16
Severity: serious

From the arm buildd log:

http://buildd.debian.org/fetch.cgi?pkg=perl;ver=5.10.0-16;arch=arm;stamp=1223623564

 Automatic build of perl_5.10.0-16 on smackdown by sbuild/arm 98
 Build started at 20081009-1253
[...]
 ext/threads/shared/t/stress...................................FAILED at test 1
[...]
 Failed 1 test out of 1433, 99.93% okay.
    ../ext/threads/shared/t/stress.t

The test has succeeded on other buildd hosts earlier; while I did change
the test to skip it on m68k (see #495826) for 5.10.0-15, the change
really shouldn't affect other architectures, and -15 did build OK on
hedges.

arm@buildd.d.o: could you please schedule a retry so we can see if the
problem persists? Does smackdown have less resources than the others?
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#501970; Package perl. (Mon, 13 Oct 2008 10:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Mon, 13 Oct 2008 10:12:15 GMT) Full text and rfc822 format available.

Message #10 received at 501970@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Niko Tyni <ntyni@debian.org>, 501970@bugs.debian.org
Subject: Re: Bug#501970: perl: FTBFS on arm: ext/threads/shared/t/stress.t failure
Date: Mon, 13 Oct 2008 11:51:39 +0200
On Sun, Oct 12, 2008 at 02:02:38PM +0300, Niko Tyni wrote:
> Package: perl
> Version: 5.10.0-16
> Severity: serious
> 
> From the arm buildd log:
> 
> http://buildd.debian.org/fetch.cgi?pkg=perl;ver=5.10.0-16;arch=arm;stamp=1223623564
> 
>  Automatic build of perl_5.10.0-16 on smackdown by sbuild/arm 98
>  Build started at 20081009-1253
> [...]
>  ext/threads/shared/t/stress...................................FAILED at test 1
> [...]
>  Failed 1 test out of 1433, 99.93% okay.
>     ../ext/threads/shared/t/stress.t
> 
> The test has succeeded on other buildd hosts earlier; while I did change
> the test to skip it on m68k (see #495826) for 5.10.0-15, the change
> really shouldn't affect other architectures, and -15 did build OK on
> hedges.
> 
> arm@buildd.d.o: could you please schedule a retry so we can see if the
> problem persists? Does smackdown have less resources than the others?

The package has been built successfully after a retry.


-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#501970; Package perl. (Fri, 17 Oct 2008 06:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Fri, 17 Oct 2008 06:06:02 GMT) Full text and rfc822 format available.

Message #15 received at 501970@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>, 501970@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#501970: perl: FTBFS on arm: ext/threads/shared/t/stress.t failure
Date: Fri, 17 Oct 2008 09:03:16 +0300
[Message part 1 (text/plain, inline)]
severity 501970 important
thanks

On Mon, Oct 13, 2008 at 11:51:39AM +0200, Aurelien Jarno wrote:
> On Sun, Oct 12, 2008 at 02:02:38PM +0300, Niko Tyni wrote:
> > Package: perl
> > Version: 5.10.0-16
> > Severity: serious

> >  Automatic build of perl_5.10.0-16 on smackdown by sbuild/arm 98
> >  Failed 1 test out of 1433, 99.93% okay.
> >     ../ext/threads/shared/t/stress.t

> > The test has succeeded on other buildd hosts earlier; while I did change
> > the test to skip it on m68k (see #495826) for 5.10.0-15, the change
> > really shouldn't affect other architectures, and -15 did build OK on
> > hedges.
> > 
> > arm@buildd.d.o: could you please schedule a retry so we can see if the
> > problem persists? Does smackdown have less resources than the others?
> 
> The package has been built successfully after a retry.

Thanks.

I'm a bit uneasy of testing this out on agnesi.d.o. Could somebody on
the debian-arm list look into it a bit to see how often it fails and how?

Just running the test (attached for convenience) with the system perl
on lenny or sid should do, no need for the full build tree.

Lowering the severity to 'important' for now because we have seen ten
or so successful arm builds in in unstable and just one failure.
-- 
Niko Tyni   ntyni@debian.org
[stress.t (application/x-troff, attachment)]

Severity set to `important' from `serious' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 17 Oct 2008 06:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#501970; Package perl. (Fri, 17 Oct 2008 07:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Fri, 17 Oct 2008 07:36:02 GMT) Full text and rfc822 format available.

Message #22 received at 501970@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Niko Tyni <ntyni@debian.org>, 501970@bugs.debian.org
Cc: Aurelien Jarno <aurelien@aurel32.net>, debian-arm@lists.debian.org
Subject: Re: Bug#501970: perl: FTBFS on arm: ext/threads/shared/t/stress.t failure
Date: Fri, 17 Oct 2008 08:34:14 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, Niko Tyni said:
> I'm a bit uneasy of testing this out on agnesi.d.o. Could somebody on
> the debian-arm list look into it a bit to see how often it fails and how?
> 
> Just running the test (attached for convenience) with the system perl
> on lenny or sid should do, no need for the full build tree.
> 
> Lowering the severity to 'important' for now because we have seen ten
> or so successful arm builds in in unstable and just one failure.

I have not yet run it on an arm machine to check, but one thing occurs
to me immediately.  This test thinks it is testing how well threads work,
but a side effect of it's algorithm is that it actually tests how quickly
threads can do loops of up to a million times.  This may just be too
much for arm - running 50 simultaneous threads doing a million loops
may take more than the 30 seconds allowed on some of the older boxes.
If you want to test that the threads succeeded, you could up the timeout
(still racy) or change from cond_timedwait to cond_wait (of course,
that can lock up a build if something goes wrong).

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#501970; Package perl. (Fri, 17 Oct 2008 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Fri, 17 Oct 2008 10:12:03 GMT) Full text and rfc822 format available.

Message #27 received at 501970@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: "Niko Tyni" <ntyni@debian.org>, 501970@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: Bug#501970: perl: FTBFS on arm: ext/threads/shared/t/stress.t failure
Date: Fri, 17 Oct 2008 11:09:32 +0100
On 10/17/08, Stephen Gran <sgran@debian.org> wrote:
> This may just be too
>  much for arm - running 50 simultaneous threads doing a million loops
>  may take more than the 30 seconds allowed on some of the older boxes.

It failed on a 600MHz armel-sid box, but when I upped the timeout from
30 to 120 seconds it succeeded. The same results hold for the old arm
port (under an EABI kerne).

$ perl stress.t
1..1
ok 1
(actually took 1m49 real, 58s user cpu)

$ perl --version
This is perl, v5.10.0 built for arm-linux-gnueabi-thread-multi

   M




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#501970; Package perl. (Sun, 19 Oct 2008 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Sun, 19 Oct 2008 18:57:02 GMT) Full text and rfc822 format available.

Message #32 received at 501970@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 501970@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#501970: perl: FTBFS on arm: ext/threads/shared/t/stress.t failure
Date: Sun, 19 Oct 2008 21:55:43 +0300
On Fri, Oct 17, 2008 at 11:09:32AM +0100, Martin Guy wrote:
> On 10/17/08, Stephen Gran <sgran@debian.org> wrote:
> > This may just be too
> >  much for arm - running 50 simultaneous threads doing a million loops
> >  may take more than the 30 seconds allowed on some of the older boxes.
> 
> It failed on a 600MHz armel-sid box, but when I upped the timeout from
> 30 to 120 seconds it succeeded. The same results hold for the old arm
> port (under an EABI kerne).

Thanks. I suppose I'll just raise the timeout then.
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Sun, 02 Nov 2008 07:21:08 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Sun, 02 Nov 2008 07:21:09 GMT) Full text and rfc822 format available.

Message #37 received at 501970-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 501970-close@bugs.debian.org
Subject: Bug#501970: fixed in perl 5.10.0-17
Date: Sun, 02 Nov 2008 07:02:07 +0000
Source: perl
Source-Version: 5.10.0-17

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.0-17_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.0-17_all.deb
libperl-dev_5.10.0-17_i386.deb
  to pool/main/p/perl/libperl-dev_5.10.0-17_i386.deb
libperl5.10_5.10.0-17_i386.deb
  to pool/main/p/perl/libperl5.10_5.10.0-17_i386.deb
perl-base_5.10.0-17_i386.deb
  to pool/main/p/perl/perl-base_5.10.0-17_i386.deb
perl-debug_5.10.0-17_i386.deb
  to pool/main/p/perl/perl-debug_5.10.0-17_i386.deb
perl-doc_5.10.0-17_all.deb
  to pool/main/p/perl/perl-doc_5.10.0-17_all.deb
perl-modules_5.10.0-17_all.deb
  to pool/main/p/perl/perl-modules_5.10.0-17_all.deb
perl-suid_5.10.0-17_i386.deb
  to pool/main/p/perl/perl-suid_5.10.0-17_i386.deb
perl_5.10.0-17.diff.gz
  to pool/main/p/perl/perl_5.10.0-17.diff.gz
perl_5.10.0-17.dsc
  to pool/main/p/perl/perl_5.10.0-17.dsc
perl_5.10.0-17_i386.deb
  to pool/main/p/perl/perl_5.10.0-17_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501970@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 01 Nov 2008 14:48:22 +0200
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: source all i386
Version: 5.10.0-17
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.10 - Shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Closes: 317843 488088 501970 503123 503975
Changes: 
 perl (5.10.0-17) unstable; urgency=low
 .
   * Fix 'Unknown error' messages with attribute.pm. (Closes: #488088)
   * Add conflicts/replaces/provides for podlators-perl. (Closes: #503123)
   * Raise the timeout of ext/threads/shared/t/stress.t to accommodate
     slower build hosts. (Closes: #501970)
   * Stop t/op/fork.t relying on rand(). (Closes: #317843)
   * Fix two regexp memory leaks. (Closes: #503975)
Checksums-Sha1: 
 7a03445c365552c74939eb0682e4374bcd30713b 1307 perl_5.10.0-17.dsc
 158f46e846d4f39ee28c86eff468b2ca77ab3b70 134430 perl_5.10.0-17.diff.gz
 c5449b20d0afbe9c469a07a8bbc33fd0c83010db 44166 libcgi-fast-perl_5.10.0-17_all.deb
 a54fe161cc2ddc784d600e806406cf80048d2b48 8214964 perl-doc_5.10.0-17_all.deb
 a94de4bda3c7507b8248d221fac43756bd4c2457 3188676 perl-modules_5.10.0-17_all.deb
 c0ceff2486b267c2562e8fbe5c6a35ef37d31cf4 971090 perl-base_5.10.0-17_i386.deb
 956711c5f3edbcb10900d819eacf5a9acfe89c01 6679968 perl-debug_5.10.0-17_i386.deb
 2cce788171904493ce6e50e762f07ab3d1f9fd66 29652 perl-suid_5.10.0-17_i386.deb
 fa2b8a7ebc8fd0ec45a9d7a4f6264c04454d5c01 623286 libperl5.10_5.10.0-17_i386.deb
 6d23bca5c921bc70826184bfe262edfbd37850ca 2356612 libperl-dev_5.10.0-17_i386.deb
 3982b7ae0852462df414e4bafeda48b5ccd96df5 4543010 perl_5.10.0-17_i386.deb
Checksums-Sha256: 
 5e28a05a7a087dcf50ba1a2497a2b4a1b872162c18c5bfe49174afc6e132a132 1307 perl_5.10.0-17.dsc
 3f7b6419a03fc0e8590084a84cfd7aae2f9ab5f0b320ea4171bb336093781560 134430 perl_5.10.0-17.diff.gz
 75a3f2c8a67f137892a3a77a2c87e254c24d7932f3a91c6f40fa3a92f767b989 44166 libcgi-fast-perl_5.10.0-17_all.deb
 2e9d55992256c2e86c6dc9333fe1b581fb033725a4601c4b0d30c5f7e6c158d6 8214964 perl-doc_5.10.0-17_all.deb
 ba5aebde59651b1573e13c88e048d7a630b99eaf035dd6321b10eed083c6fddb 3188676 perl-modules_5.10.0-17_all.deb
 81f5a3f28d1a031dde646960e68c486fdb449fd0386bd3e6081ca9341b2cac81 971090 perl-base_5.10.0-17_i386.deb
 284097fc740f9afcbd013025cf4beefdddd104b0c7af53adeadd6cad7c6e5276 6679968 perl-debug_5.10.0-17_i386.deb
 e6222717cbb98a9884a750fe7eae7a6cb280889ab87ac50c6345c011b92cbb3e 29652 perl-suid_5.10.0-17_i386.deb
 ab8d1b0160619a29fdee4f2265102a7d9a5d233a5c9ac568a17376a0af5fad80 623286 libperl5.10_5.10.0-17_i386.deb
 392a53868c841b19ebf65b4554a0d6395a82a0fd793220f00f6e2c2fd038793d 2356612 libperl-dev_5.10.0-17_i386.deb
 67dfabf8eb8a1cbc563ca774ae0dc9a19fa8402c3557a0addd2062093f13c564 4543010 perl_5.10.0-17_i386.deb
Files: 
 fa670ef42d0d247133a92935022138cb 1307 perl standard perl_5.10.0-17.dsc
 e740eb3c48bcee0abfb2ba585c1f4022 134430 perl standard perl_5.10.0-17.diff.gz
 7a41444587903525d557b9f12a656fdb 44166 perl optional libcgi-fast-perl_5.10.0-17_all.deb
 163097ab988ca1a3aa07b31f81046848 8214964 doc optional perl-doc_5.10.0-17_all.deb
 2fd68af23a4a5016e3b3d6d05cd223d0 3188676 perl standard perl-modules_5.10.0-17_all.deb
 9e5bd411fe5ae74c8dce51d427bc1bf6 971090 perl required perl-base_5.10.0-17_i386.deb
 4e195b08fb191317cf0d15a4d482bd58 6679968 perl optional perl-debug_5.10.0-17_i386.deb
 728409fcf0841bc36967aa0fd5c031ef 29652 perl optional perl-suid_5.10.0-17_i386.deb
 d73875ace9864583c0f24fd8d6801c7b 623286 libs optional libperl5.10_5.10.0-17_i386.deb
 62610a9097acace047586ff28af017a7 2356612 libdevel optional libperl-dev_5.10.0-17_i386.deb
 bf84444c017355dacffd84fe828083cb 4543010 perl standard perl_5.10.0-17_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkM1Y4ACgkQiyizGWoHLTnmuwCdEcZ246R+btq+KkUigmIReAQX
dygAoJmwA2sD5Py91zz93AZsXD0pIXgz
=C4X8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Dec 2008 07:29:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:46:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.